@echo off
echo ===================================
echo == %0 started
echo ===================================

echo.
echo ---- Update httpd.conf ^& httpd.conf.skeleton
sed -i "/LoadFile \"c:\/phpukm\/libmysql.dll\"/d" "c:\Program Files\Apache Group\Apache2ukm\conf\httpd.conf"
sed -i "/LoadFile \"c:\/phpukm\/msvcp71.dll\"/d" "c:\Program Files\Apache Group\Apache2ukm\conf\httpd.conf"
sed -i "/LoadFile \"c:\/phpukm\/msvcr71.dll\"/d" "c:\Program Files\Apache Group\Apache2ukm\conf\httpd.conf"
sed -i "/LoadFile \"c:\/phpukm\/MCSCM.dll\"/d" "c:\Program Files\Apache Group\Apache2ukm\conf\httpd.conf"
replace SF#10710\httpd.conf.skeleton "c:\Program Files\Apache Group\Apache2ukm\conf" /R
echo ---- Update httpd.conf ^& httpd.conf.skeleton done

rem Attention! PHP paths should be with FORWARD SLASH
if exist c:/php set DIR_PHP=c:/php
if exist c:/phpukm set DIR_PHP=c:/phpukm
set PATH=%DIR_PHP%;%PATH%
set PHP_CMD=php.exe -d include_path=".;%DIR_PHP%/pear;%DIR_PHP%/smarty" -d extension_dir="%DIR_PHP%/ext/" -d display_errors=On -c php-win-php_ukm-off.ini
set DIR_HTDOCS=c:\Program Files\Apache Group\Apache2ukm\htdocs
set DIR_HTDOCS_UKMUPDATES=%DIR_HTDOCS%\ukmupdates
set DIR_CLI_UPDATES=ukmupdates

echo PATH=%PATH%
echo PHP_CMD=%PHP_CMD%

set CP_EXE=cp.exe
set CP_OPTIONS=-fRv
%CP_EXE% --help >nul 2>&1
IF %ERRORLEVEL% NEQ 0 (
	echo ERROR: cp.exe not found at "%cd%\.."
	goto label_error
)

call getukmsrvdbdata.cmd

echo ukmserver database connection parameters:
echo   UKMSRVDBHOST=%UKMSRVDBHOST%
echo   UKMSRVDBUSER=%UKMSRVDBUSER%
echo   UKMSRVDBNAME=%UKMSRVDBNAME%
echo   UKMSRVDBPASSWORD=%UKMSRVDBPASSWORD%

echo.
echo ---- Client updates processing
echo Checking directory %DIR_CLI_UPDATES%
if not exist %DIR_CLI_UPDATES% (
	echo Directory %DIR_CLI_UPDATES% not found
	goto label_skip_cli_updates_processing
)
echo Directory %DIR_CLI_UPDATES% found
echo Checking directory "%DIR_HTDOCS_UKMUPDATES%"
if exist "%DIR_HTDOCS_UKMUPDATES%" (
	echo Directory "%DIR_HTDOCS_UKMUPDATES%" found
) else (
	echo Directory "%DIR_HTDOCS_UKMUPDATES%" not found
	echo Creating directory "%DIR_HTDOCS_UKMUPDATES%"
	mkdir "%DIR_HTDOCS_UKMUPDATES%"
)
echo Copying %DIR_CLI_UPDATES% to "%DIR_HTDOCS%"
%CP_EXE% %CP_OPTIONS% %DIR_CLI_UPDATES% "%DIR_HTDOCS%"
if %errorlevel% neq 0 goto label_error

:label_skip_cli_updates_processing
echo ---- Client updates processing
echo.

echo ===================================
echo  SUCCESS: %0 finished
echo ===================================
exit /B 0
GOTO end

:label_error
echo ===================================
echo  ERROR:   %0 failed
echo ===================================
exit /B 1
:end
