@echo off

echo ===================================
echo  %0 started %DATE% %TIME%
echo ===================================

set FILE_COMMON_DAT=common-cli-dat.cmd
echo Executing %FILE_COMMON_DAT%
call %FILE_COMMON_DAT%
IF %ERRORLEVEL% NEQ 0 GOTO error

echo After execution of %FILE_COMMON_DAT% env variables are:
echo   addr=%addr%
echo   mysql_port=%mysql_port%
echo   user=%user%
echo   password=%password%
echo   base=%base%
echo   port=%port%

echo ==== ukmclient-upgrade.sql started ===================
C:\MYSQL\BIN\mysql.exe --host=%addr% --port=%mysql_port% --user=%user% --password=%password% --database=%base%  --execute="source ukmclient-upgrade.sql"
IF %ERRORLEVEL% NEQ 0 GOTO error
echo ==== ukmclient-upgrade.sql completed =================

SET PHP_SCRIPT=ukmclient-upgrade.php
echo ==== %PHP_SCRIPT% started ============================
%PHP_CMD% %PHP_SCRIPT%
IF %ERRORLEVEL% NEQ 0 GOTO error
echo ==== %PHP_SCRIPT% completed ==========================

echo ===================================
echo  SUCCESS: %0 completed %DATE% %TIME%
echo ===================================
exit /B 0
GOTO end

:error
echo ===================================
echo  ERROR:   %0 failed %DATE% %TIME%
echo ===================================
exit /B 1
:end
