@echo off

echo ==============================
echo %0 started
echo ==============================

SET DIR_START=%CD%
SET ECHO_UNIX_EXE=echounix.exe
SET FILE_TMP_VARS=rc.ukm.cmd
SET DIR_INSTALL=..\..
SET FILE_RC_UKM=%DIR_INSTALL%\rc.ukm

echo DIR_INSTALL=%DIR_INSTALL%
echo FILE_RC_UKM=%FILE_RC_UKM%

SET FILE_TO_CHECK=%FILE_RC_UKM%
echo Checking file %FILE_TO_CHECK%
if not exist %FILE_TO_CHECK% goto error

SET FILE_TO_CHECK=%ECHO_UNIX_EXE%
echo Checking file %FILE_TO_CHECK%
%FILE_TO_CHECK% >nul 2>&1
IF %ERRORLEVEL% NEQ 0 goto error

rem Setting default values
SET addr=127.0.0.1
SET mysql_port=3306
SET user=root
SET password=
SET base=
SET port=

rem Attention! PHP paths should be with FORWARD SLASH
if exist c:/php set DIR_PHP=c:/php
if exist c:/phpukm set DIR_PHP=c:/phpukm
set PATH=%DIR_PHP%;%PATH%
set PHP_CMD=php.exe -d include_path=".;%DIR_PHP%/pear;%DIR_PHP%/smarty" -d extension_dir="%DIR_PHP%/ext/" -d display_errors=On -c php-win-php_ukm-off.ini
echo PATH=%PATH%
echo PHP_CMD=%PHP_CMD%
echo Loading %FILE_RC_UKM%

%ECHO_UNIX_EXE% -n "SET " > %FILE_TMP_VARS%
%systemroot%\system32\findstr "^addr=" %FILE_RC_UKM% >> %FILE_TMP_VARS%
call %FILE_TMP_VARS% > NUL

%ECHO_UNIX_EXE% -n "SET " > %FILE_TMP_VARS%
%systemroot%\system32\findstr "^mysql_port=" %FILE_RC_UKM% >> %FILE_TMP_VARS%
call %FILE_TMP_VARS% > NUL

%ECHO_UNIX_EXE% -n "SET " > %FILE_TMP_VARS%
%systemroot%\system32\findstr "^base=" %FILE_RC_UKM% >> %FILE_TMP_VARS%
call %FILE_TMP_VARS% > NUL

%ECHO_UNIX_EXE% -n "SET " > %FILE_TMP_VARS%
%systemroot%\system32\findstr "^user=" %FILE_RC_UKM% >> %FILE_TMP_VARS%
call %FILE_TMP_VARS% > NUL

%ECHO_UNIX_EXE% -n "SET " > %FILE_TMP_VARS%
%systemroot%\system32\findstr "^password=" %FILE_RC_UKM% >> %FILE_TMP_VARS%
call %FILE_TMP_VARS% > NUL

%ECHO_UNIX_EXE% -n "SET " > %FILE_TMP_VARS%
%systemroot%\system32\findstr "^port=" %FILE_RC_UKM% >> %FILE_TMP_VARS%
call %FILE_TMP_VARS% > NUL

del /F /Q %FILE_TMP_VARS%

echo After loading of %FILE_RC_UKM%
echo   addr=%addr%
echo   mysql_port=%mysql_port%
echo   user=%user%
echo   password=%password%
echo   base=%base%
echo   port=%port%

echo Checking for "base" environment variable to be not empty
IF "_%base%"=="_" goto error
echo "base" environment variable is correct

echo ===================================
echo  SUCCESS: %0 completed
echo ===================================
exit /B 0
GOTO end

:error
echo ===================================
echo  ERROR:   %0 failed
echo ===================================
exit /B 1
:end
