<?php
require_once('DB.php');
require_once('kit.php');
require_once('options_boost_php_serialize.php');

function dbresult(&$__dbobject)
{
    if (PEAR::isError($__dbobject))
    {
        print "\nDB ERROR";
        print "\nError code: " . $__dbobject->getCode();
        print "\nError message: " . $__dbobject->getMessage();
        print "\nError details: " . $__dbobject->getUserInfo();
        print "\n";
        exit(1);
    }
}

set_time_limit(0);

print("\n\n");
$dbhost = getenv("addr");
$dbport = getenv("mysql_port");
$dbuser = getenv("user");
$dbpassword = getenv("password");
$dbname = getenv("base");

$db_connect_params='mysql://'.$dbuser.':'.$dbpassword.'@'.$dbhost.':'.$dbport.'/'.$dbname;

print "==== DB connection parameters =========\n";
print "dbhost=$dbhost\n";
print "dbport=$dbport\n";
print "dbuser=$dbuser\n";
print "dbpassword=$dbpassword\n";
print "dbname=$dbname\n";
print "db connection string=$db_connect_params\n";
print "==== DB connection parameters =========\n";

print "\nDB connect started";
$db = &DB::connect($db_connect_params, array('portability' => DB_PORTABILITY_ALL ^ DB_PORTABILITY_NULL_TO_EMPTY,'seqname_format' => "seq_%s"));
dbresult($db);
$db->setFetchMode(DB_FETCHMODE_ASSOC);
print "\nDB connect completed\n";

$db->autoCommit(false);
$result = $db->query("SET NAMES utf8");
dbresult($result);

$db->commit();
